# Uses of Interface
org.eclipse.emf.cdo.session.CDOCollectionLoadingPolicy

Packages that use CDOCollectionLoadingPolicy
Package
Description
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.cdo.util
Client utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOCollectionLoadingPolicy in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOCollectionLoadingPolicy
Modifier and Type
Method
Description
`CDOCollectionLoadingPolicy`
CDOSession.Options.`getCollectionLoadingPolicy()`
The `collection loading policy` of this `session` controls how a list gets populated.
Methods in org.eclipse.emf.cdo.session with parameters of type CDOCollectionLoadingPolicy
Modifier and Type
Method
Description
`void`
CDOSession.Options.`setCollectionLoadingPolicy(CDOCollectionLoadingPolicy policy)`
Sets the `collection loading` to be used by this session.

## Uses of CDOCollectionLoadingPolicy in org.eclipse.emf.cdo.util

Methods in org.eclipse.emf.cdo.util that return CDOCollectionLoadingPolicy
Modifier and Type
Method
Description
`static CDOCollectionLoadingPolicy`
CDOUtil.`createCollectionLoadingPolicy(int initialChunkSize, int resolveChunkSize)`

## Uses of CDOCollectionLoadingPolicy in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOCollectionLoadingPolicy
Modifier and Type
Method
Description
`default CDOCollectionLoadingPolicy`
CDOFetchRuleManager.`getCollectionLoadingPolicy()`
Returns the collection loading policy that should be used when loading collections.